Increase size of value field in settings
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version: 6.0.0   

Description

Size of value is text field which is around ~64kb.

In some cases like using some of plugins,  errors like this might arise:

Mysql2::Error: Data too long for column 'value' at row 1: UPDATE settings SET value = '---\nprojects:\n  45:\n   

helpdesk_answer_from:

This patch increases size of text field to larger format.

Associated revisions

Revision 23196 - 2024-11-03 16:05 - Marius BĂLTEANU

Raises length of settings value for MySQL (#34218).

Patch by Go MAEDA (user:maeda).

History

#1 - 2024-01-30 00:46 - Go MAEDA

- Target version set to 6.0.0

Setting the target version to 6.0.0.

#2 - 2024-01-30 06:27 - Go MAEDA

- File 20240130052001_change_settings_value_limit.rb added

#3 - 2024-01-31 04:01 - Marius BĂLTEANU

We are sure that it is a good ideea to increase the size on the column to such a big value for settings table that is very used?  Maybe some plugin

developers should store these kind of settings in their own table.

I would like to have more feedback on this before committing.

#4 - 2024-02-12 06:41 - Go MAEDA

Currently, both PostgreSQL and SQLite allow 1GB of text. 64 KB for MySQL is quite small compared to those, so I think the upper limit could be

increased.

This difference may cause a problem that a plugin works with PostgreSQL and SQLite but does not work with MySQL.

#5 - 2024-02-13 23:40 - Marius BĂLTEANU

Go MAEDA wrote in #note-4:

Currently, both PostgreSQL and SQLite allow 1GB of text. 64 KB for MySQL is quite small compared to those, so I think the upper limit could be

increased.

This difference may cause a problem that a plugin works with PostgreSQL and SQLite but does not work with MySQL.

 I don't want to be against of this change, I just wanted to point my concern.

#6 - 2024-11-03 16:05 - Marius BĂLTEANU

- Status changed from New to Resolved
- Assignee set to Marius BĂLTEANU

Patch committed, thanks!

#7 - 2024-11-03 23:36 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Files

20201104111101_change_settings_value_limit.rb 270 Bytes 2020-11-03 Aleksandar Pavic

20240130052001_change_settings_value_limit.rb 246 Bytes 2024-01-30 Go MAEDA
